<?php

	/**
	 *	Appearance / Tempo FAQ - config settings
	 */

	$settings = tempo_cfgs::merge( (array)tempo_cfgs::get( 'settings' ), array(
		'appearance' => array(
			'tempo-faq' => array(
			    'menu' => array(
			        'title'     => __( 'Theme FAQ', 'tempo' )
			    ),
			    'priority'	=> 1,
			    'update'	=> false,
			    'sections' 	=> array(
			    	'faq' => array(
			    		'title' 		=> __( 'Frequently Asked Questions', 'tempo' ),
			    		'description'	=> __( 'Please read this small guide and follow the instructions. This guide will help you customize the theme for your needs.', 'tempo' ),
			    		'columns' 		=> array(

			    			// COLUMNS
							array(
								'layout' 			=> array(
									'sm'	=> 12,
									'md'	=> 6,
									'lg'	=> 6,
								),

								// BOXES
								'boxes' 			=> array( 
									array(
										'title' 	=> __( 'Welcome Message!', 'tempo' ),
										'template'	=> 'templates/admin/appearance/faq/welcome',
									),
									array(
										'title'		=> __( 'Translate the Theme ( Localization )', 'tempo' ),
										'template'  => 'templates/admin/appearance/faq/translate'
									),
									array(
										'title'		=> __( 'Custom CSS and Customizations', 'tempo' ),
										'template'  => 'templates/admin/appearance/faq/custom-css',
									)
									// license
								)
							),
							array(
								'layout' 			=> array(
									'sm'	=> 12,
									'md'	=> 6,
									'lg'	=> 6,
								),
								'boxes' 			=> array(
									array(
										'title'		=> __( 'Customize the Theme', 'tempo' ),
										'template'  => 'templates/admin/appearance/faq/customizer'
									)
								)
							)
			    		),

			    		'save' => true
				    ),
					'zeon' => array(
						'title' 		=> __( 'Tempo + Zeon', 'tempo' ),
						'description'	=> sprintf( __( 'Zeon is a premium WordPress Plugin that extends the core functionality of the Tempo free WordPress theme and Tempo child themes.<br/> This means that after the upgrade to premium version you will not lose your settings or not you need to refill your website.', 'tempo' ), '<br/>' ),
						'template'  	=> 'templates/admin/appearance/faq/premium',
						'style' 		=> array(
							'border-top'		=> '1px solid rgba( 0,0,0, 0.1 )',
							'margin-top' 		=> '100px'
						)
					),
					'support' => array(
						'title' 		=> __( 'Support and Feadback', 'tempo' ),
						'description'	=> sprintf( __( 'If you have questions about the theme or the theme features then you are welcome to use our forum.%s Also if you found bugs please provide us a feedback.', 'tempo' ), '<br/>' ),
						'template'  	=> 'templates/admin/appearance/faq/support',
						'style' 		=> array(
							'border-top'		=> '1px solid rgba( 0,0,0, 0.1 )',
							'border-bottom'		=> '1px solid rgba( 0,0,0, 0.1 )',
							'margin-top' 		=> '100px',
							'padding-bottom' 	=> '100px'
						)
					)
				)
			)
		)
	));

	tempo_cfgs::set( 'settings', $settings );
?>